<?php
//
// +----------------------------------------------------------------------+
// | PHP Version 5                                                        |
// +----------------------------------------------------------------------+
// | Copyright (c) 1997-2003 The PHP Group                                |
// +----------------------------------------------------------------------+
// | This source file is subject to version 3.0 of the PHP license,       |
// | that is bundled with this package in the file LICENSE, and is        |
// | available at through the world-wide-web at                           |
// | http://www.php.net/license/3_0.txt.                                  |
// | If you did not receive a copy of the PHP license and are unable to   |
// | obtain it through the world-wide-web, please send a note to          |
// | license@php.net so we can mail you a copy immediately.               |
// +----------------------------------------------------------------------+
// | Authors: Hartmut Holzgraefe <hholzgra@php.net>                       |
// +----------------------------------------------------------------------+
//
// $Id: Class.php,v 1.1 2004/04/01 18:43:26 hholzgra Exp $
//

    require_once "PECL/Gen/Tools/Indent.php";

    /**
     * Class describing a PHP class within a PECL extension 
     *
     * @access public
     */
    
    class PECL_Gen_Element_Class
      extends PECL_Gen_Element 
    {
        /**
         * The class name
         *
         * @access private
         * @var     string
         */
        var $name  = "unknown";

        function set_name($name) 
        {
            if (!self::is_name($name)) {
                return $this->raiseError("'$name' is not a valid class name");
            }
            
            $this->name = $name;
            
            return true;
        }




        /**
         * A short description
         *
         * @access private
         * @var     string
         */
        var $summary = "";

        function set_summary($text)
        {
            $this->summary = $text;
            return true;
        }




        /**
         * A long description
         *
         * @access private
         * @var     string
         */
        var $description  = "";

        function set_description($text)
        {
            $this->description = $text;
            return true;
        }





        /**
         * Code snippet
         *
         * @access private
         * @var     string
         */
        var $code = "";

        function set_code($text)
        {
            $this->code = $text;
            return true;
        }




        function c_code($extension) 
        {
            $code = "";

            return $code;
        }
        


        function docbook_xml($base) 
        {
			$xml = "";
 
            return $xml;
        }
        
    }

?>